Subject: [Fwd: [MEGACO] what does list of signals mean?]

From: Narine_Mossikyan <[email-masked]>
Date: Fri, 29 Mar 2002 10:10:18 +0400

Subject: Re: [MEGACO] what does list of signals mean?
From: Narine_Mossikyan <[email-masked]>
To: Terry L Anderson <[email-masked]>
Date: Thu, 28 Mar 2002 14:15:38 +0400

Hi ,
Thanks for your quick response.
I still don't  understand what does observedEventsDescriptor's last parameter
mean? Can you give me some examples of observedEventsDescriptor?
thanks a lot for your help

Terry L Anderson wrote:

> The original text was ambiguous and was recently amended to clarify this
> parameter.  The change first appeared in the Implementors Guide but was
> included in H.248v1 Corrigendum 1 and H.248v2 as consented in Geneva Feb
> 2002.  Here is the current text:
>
> ObservedEvents Descriptor parameters:
> Signal Identity
> ParameterID:  SigID (0x0001)
> This parameter identifies the signal which has terminated. For a signal
> that is contained in a signal list the signal list identity parameter
> should also be returned indicating the appropriate list.
> Type: Binary: octet (string), Text: string
> Possible values: a signal which has terminated.  A signal shall be
> identified using the pkgdName syntax without wildcarding.
>
> Narine_Mossikyan wrote:
>
> > Hi,
> > I found the list of signals on the page#139,  RFC 3015 Megaco Protocol
> > Version 1.0,  November 2000 , in Section Generic packages , E.1.2.
> > Events .
> > ObservedEvents Descriptor parameters:
> >         Signal Identity
> >         ParameterID:  SigID (0x0001)
> >         This parameter identifies the signals which have terminated.
> >         Type: list
> > My question is:
> > Should I implement  list of  signals as it is describe in the same RFC,
> > page #107 ?
> >         signalList           = SignalListToken EQUAL signalListId LBRKT
> >                           signalListParm *(COMMA signalListParm) RBRKT
> > or the list of signals in ObservedEvents has another meaning?
> > thanks for your help
> >
> > _______________________________________________
> > Megaco mailing list
> > [email-masked]
> > https://www1.ietf.org/mailman/listinfo/megaco
>
> --
>
> ------------------------------------------------------------
> Terry L Anderson              mailto:[email-masked]
> Tel:732.949.5628   Fax:732.949.7016
> Lucent Technologies/INS/Voice Over IP Access Networks
> Rm 2G-219A, 101 Crawfords Corner Rd, Holmdel, NJ 07733-3030
> http://its.lucent.com/~tla (Lucent internal) http://www.gti.net/tla